2019-12-14 06:58 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005355Spring engineGeneralpublic2016-10-22 11:44
ReporterGoogle_Frog 
Assigned Tohokomoko 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005355: 103.0.1-134 Crash on game start
DescriptionBatman always has a crash when starting a game. He seems to crash whether starting spring normally (with ZKL) or with luaMenu. http://paste.ubuntu.com/23237915/
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016698

Google_Frog (reporter)

Last edited: 2016-09-27 09:54

View 2 revisions

Sorry, reported incorrectly. The crash seems to occur only for LuaMenu.

~0016699

abma (administrator)

translated:

https://github.com/spring/spring/tree/103.0.1-134-g819e5b4

build/default/../../tools/pr-downloader/src/FileSystem/File.cpp:273
build/default/../../tools/pr-downloader/src/Downloader/Http/HttpDownloader.cpp:216
sendf.c:?
transfer.c:?
multi.c:?
multi.c:?
build/default/../../tools/pr-downloader/src/Downloader/Http/HttpDownloader.cpp:547
build/default/../../tools/pr-downloader/src/pr-downloader.cpp:258
rts/Lua/LuaVFSDownload.cpp:165
rts/Lua/LuaVFSDownload.cpp:183
thread.cpp:?
??:0
??:0
??:0


seems to crash because of a download?

seems related:

[f=-000001] Error: Error opening "C:\Users\bwayne\Documents\My Games\Zero-K\maps\trojan_hills_v02.sd7": Unknown error
[f=-000001] Warning: Unable to open archive: C:\Users\bwayne\Documents\My Games\Zero-K\maps\trojan_hills_v02.sd7

~0016702

Google_Frog (reporter)

I'll have him delete the map and see whether the crash goes away.

~0016787

Google_Frog (reporter)

Possibly the same thing? http://pastebin.com/Fk8j1hku

~0016788

abma (administrator)

translated: yep looks the same:

https://github.com/spring/spring/tree/103.0.1-134-g819e5b4

build/default/../../tools/pr-downloader/src/FileSystem/File.cpp:273
build/default/../../tools/pr-downloader/src/Downloader/Http/HttpDownloader.cpp:216
sendf.c:?
transfer.c:?
multi.c:?
multi.c:?
build/default/../../tools/pr-downloader/src/Downloader/Http/HttpDownloader.cpp:547
build/default/../../tools/pr-downloader/src/pr-downloader.cpp:258
rts/Lua/LuaVFSDownload.cpp:165
rts/Lua/LuaVFSDownload.cpp:183
thread.cpp:?
??:0
??:0

~0016789

abma (administrator)

looks like ReloadOrRestart is called when a download is running.

~0016790

abma (administrator)

i guess the crash is because of

archiveScanner->ScanAllDirs();

isn't thread-safe!

~0016820

hokomoko (developer)

Fix bca5e36704966a2fa8e7e42df1e8e901f95e70b8 committed to develop branch: Partially fix 0005355

spring will still crash on exit if there's an ongoing download., repo: spring changeset id: 7565
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-09-27 06:04 Google_Frog New Issue
2016-09-27 06:32 Google_Frog Note Added: 0016698
2016-09-27 09:54 Google_Frog Note Edited: 0016698 View Revisions
2016-09-27 10:12 abma Note Added: 0016699
2016-09-27 15:05 Google_Frog Note Added: 0016702
2016-10-11 08:30 Google_Frog Note Added: 0016787
2016-10-11 15:03 abma Note Added: 0016788
2016-10-11 18:49 abma Note Added: 0016789
2016-10-11 19:23 abma Note Added: 0016790
2016-10-22 11:44 hokomoko Changeset attached => spring develop bca5e367
2016-10-22 11:44 hokomoko Note Added: 0016820
2016-10-22 11:44 hokomoko Assigned To => hokomoko
2016-10-22 11:44 hokomoko Status new => resolved
2016-10-22 11:44 hokomoko Resolution open => fixed
+Issue History